{{!-- {{log "chatCard-power.hbs THIS-->" this}} --}}

{{!-- #psionic --}}
<div class="sheet-card">
    {{#if isPopout}}
    {{else}}
    <div class="non-owner-only-view">
        {{localize "ARS.unknownAction"}}
    </div>
    {{/if}}
    <div class="owner-only-view">
        <div class="action-card power-card item">

            <div class="flexrow">
                <div class="a25-image"><img src="{{item.img}}" data-tooltip="{{item.name}}" width="50" height="50" />
                </div>
                <div class="action-title">
                    {{#if item.pack}}
                    {{#if isPopout}}
                    {{{item.packLink}}}
                    {{else}}
                    @Compendium[{{item.pack}}.{{item.id}}]
                    {{/if}}
                    {{else}}
                    {{#if item.isOwned}}
                    {{item.name}}
                    {{else}}
                    {{#if isPopout}}
                    {{{item.itemLink}}}
                    {{else}}
                    @Item[{{item.id}}]
                    {{/if}}
                    {{/if}}
                    {{/if}}
                </div>
            </div>

            <div class="grid-container spell-details">

                {{!-- power score --}}
                <div class="grid-item hide-1e" data-tooltip="Power score"><strong>Score:</strong>
                    {{localize (concat "ARS.abilityTypes." item.system.ability "abbr")}}
                    {{math (lookup (lookup this.sourceActor.system.abilities item.system.ability) 'value') '+' item.system.abilityMod}}
                </div>

                {{!-- power cost --}}
                <div class="grid-item hide-1e" data-tooltip="{{item.system.powercost}}"><strong>Cost:</strong> {{item.system.powercost}}
                </div>

                {{!-- power cost attack --}}
                <div class="grid-item hide-2e" data-tooltip="{{item.system.powerCostAttack}}"><strong>Atk Cost:</strong> {{item.system.powerCostAttack}}
                </div>

                {{!-- power cost defense --}}
                <div class="grid-item hide-2e" data-tooltip="{{item.system.powerCostDefense}}"><strong>Def Cost:</strong> {{item.system.powerCostDefense}}
                </div>

                {{!-- prep --}}
                <div class="grid-item" data-tooltip="{{item.system.prepTime}}"><strong>Prep:</strong> {{item.system.prepTime}}
                </div>

                {{!-- maintain cost --}}
                <div class="grid-item" data-tooltip="{{item.system.maintenance}}"><strong>Maintenance:</strong> {{item.system.maintenance}}
                </div>

                {{!-- range --}}
                <div class="grid-item" data-tooltip="{{item.system.range}}"><strong>Rng:</strong> {{item.system.range}}
                </div>

                {{!-- aoe --}}
                <div class="grid-item" data-tooltip="{{item.system.areaOfEffect}}"><strong>AE:</strong>
                    {{item.system.areaOfEffect}}
                </div>

            </div>

            <div class="chatCard-description chatCard-spell-hbs">
                <div style="display: none" class="chatCard-description-full">
                    {{#if isPopout}}
                    {{{ itemDescription }}}
                    {{else}}
                    {{{ item.system.description }}}
                    {{/if}}
                </div>
                {{#if (or item.system.description itemDescription)}}
                <div class="chatCard-expand-view"><i class="fas fa-expand-alt"></i></div>
                {{/if}}
            </div>

            <div class="card-buttons power-card-cast">
                {{#if actionGroups.size}}
                {{#each (mapToArray actionGroups) as |actionGroup|}}
                <fieldset>
                    <legend>{{actionGroup.name}}</legend>
                    {{> "systems/ars/templates/chat/parts/chatCard-actions-blockV2.hbs" actionGroup=actionGroup}}
                </fieldset>
                {{/each}}
                {{/if}}
            </div>
            {{!-- <div class="card-buttons" data-type="{{slotType}}" data-index="{{slotIndex}}" data-level="{{slotLevel}}">
                {{> "systems/ars/templates/chat/parts/chatCard-actions-block.hbs" }}
            </div> --}}
        </div>
    </div>
</div>